service_entry Struct Reference

## Data Fields

int | service_id
void(* | sync_init )(const unsigned int *trans_list, size_t trans_list_entries, const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)
void(* | sync_abort )(void)
int(* | sync_process )(void)
void(* | sync_activate )(void)
enum sync_process_state | state
char | name [128]

## Detailed Description

Definition at line 77 of file sync.c.

## Field Documentation

## name

char service_entry::name[128]

Definition at line 89 of file sync.c.

## service_id

int service_entry::service_id

Definition at line 78 of file sync.c.

## state

enum sync_process_state service_entry::state

Definition at line 88 of file sync.c.

## sync_abort

void(* service_entry::sync_abort) (void)

Definition at line 85 of file sync.c.

## sync_activate

void(* service_entry::sync_activate) (void)

Definition at line 87 of file sync.c.

## sync_init

void(* service_entry::sync_init) (const unsigned int *trans_list, size_t trans_list_entries, const unsigned int *member_list, size_t member_list_entries, const struct memb_ring_id *ring_id)

Definition at line 79 of file sync.c.

## sync_process

int(* service_entry::sync_process) (void)

Definition at line 86 of file sync.c.

The documentation for this struct was generated from the following file:

- sync.c